package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum AdminVarietiesStatus {
	ONGOING(0,"正常"),
	DISUSE(1,"停用");
	
	private AdminVarietiesStatus(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, AdminVarietiesStatus> status = new HashMap<Integer, AdminVarietiesStatus>();

	static {
		for (AdminVarietiesStatus value : AdminVarietiesStatus.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static AdminVarietiesStatus getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return DISUSE;
	}

	public static AdminVarietiesStatus getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return DISUSE;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

}
	

